twitter4j

## Interface Relationship

All Superinterfaces:
  Serializable, TwitterResponse

    public interface Relationship
    extends TwitterResponse, Serializable

A data interface that has detailed information about a relationship between two users

Since:
  Twitter4J 2.1.0
Author:
  Perry Sakkaris - psakkaris at gmail.com
See Also:
  GET friendships/show | Twitter Developers

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canSourceDm()` Checks if source user can send dm to target user
`long` `getSourceUserId()` Returns the source user id
`String` `getSourceUserScreenName()` Returns the source user screen name
`long` `getTargetUserId()` Returns the target user id
`String` `getTargetUserScreenName()` Returns the target user screen name
`boolean` `isSourceBlockingTarget()` Returns if the source user is blocking the target user
`boolean` `isSourceFollowedByTarget()` Checks if source user is being followed by target user
`boolean` `isSourceFollowingTarget()` Checks if source user is following target user
`boolean` `isSourceMutingTarget()` Returns id the source user is muting the target user
`boolean` `isSourceNotificationsEnabled()` Checks if the source user has enabled notifications for updates of the target user
`boolean` `isSourceWantRetweets()` Checks if the retweets from the target user enabled
`boolean` `isTargetFollowedBySource()` Checks if target user is being followed by source user. This method is equivalent to isSourceFollowingTarget().
`boolean` `isTargetFollowingSource()` Checks if target user is following source user. This method is equivalent to isSourceFollowedByTarget().

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Method Detail

#### getSourceUserId

    long getSourceUserId()

Returns the source user id

Returns:
  the source user id

#### getTargetUserId

    long getTargetUserId()

Returns the target user id

Returns:
  target user id

#### isSourceBlockingTarget

    boolean isSourceBlockingTarget()

Returns if the source user is blocking the target user

Returns:
  if the source is blocking the target

#### isSourceMutingTarget

    boolean isSourceMutingTarget()

Returns id the source user is muting the target user

Returns:
  if the source is muting the target

#### getSourceUserScreenName

    String getSourceUserScreenName()

Returns the source user screen name

Returns:
  returns the source user screen name

#### getTargetUserScreenName

    String getTargetUserScreenName()

Returns the target user screen name

Returns:
  the target user screen name

#### isSourceFollowingTarget

    boolean isSourceFollowingTarget()

Checks if source user is following target user

Returns:
  true if source user is following target user

#### isTargetFollowingSource

    boolean isTargetFollowingSource()

Checks if target user is following source user.
This method is equivalent to isSourceFollowedByTarget().

Returns:
  true if target user is following source user

#### isSourceFollowedByTarget

    boolean isSourceFollowedByTarget()

Checks if source user is being followed by target user

Returns:
  true if source user is being followed by target user

#### isTargetFollowedBySource

    boolean isTargetFollowedBySource()

Checks if target user is being followed by source user.
This method is equivalent to isSourceFollowingTarget().

Returns:
  true if target user is being followed by source user

#### canSourceDm

    boolean canSourceDm()

Checks if source user can send dm to target user

Returns:
  true if source user can send dm to target user
Since:
  Twitter4J 3.0.5

#### isSourceNotificationsEnabled

    boolean isSourceNotificationsEnabled()

Checks if the source user has enabled notifications for updates of the target user

Returns:
  true if source user enabled notifications for target user

#### isSourceWantRetweets

    boolean isSourceWantRetweets()

Checks if the retweets from the target user enabled

Returns:
  true if the retweets from the target user enabled
Since:
  Twitter4J 3.0.3